Bulk-edit skills for people you supervise (CC7-R3: supervisors on mobile)
POST
/v1/mobile/workspace/contact-center/agents/skills
const url = 'https://api.vocapable.com/v1/mobile/workspace/contact-center/agents/skills';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"user_ids":["example"],"skills":[{"skill_id":"example","proficiency":1}],"remove_skill_ids":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/mobile/workspace/contact-center/agents/skills \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "user_ids": [ "example" ], "skills": [ { "skill_id": "example", "proficiency": 1 } ], "remove_skill_ids": [ "example" ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CcAgentSkillsBulk
CC7-R3: set skill levels and/or remove skills for many people at once (their other skills are untouched). A team lead may do it for their team subtree (web and phone).
object
user_ids
required
User Ids
Array<string>
skills
Skills
Array<object>
CcAgentSkillSetobject
skill_id
required
Skill Id
string
proficiency
required
Proficiency
integer
remove_skill_ids
Remove Skill Ids
Array<string>
Examplegenerated
{ "user_ids": [ "example" ], "skills": [ { "skill_id": "example", "proficiency": 1 } ], "remove_skill_ids": [ "example" ]}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CcAgentSkillsBulkResults
object
changed
required
Changed
integer
unchanged
required
Unchanged
integer
refused
required
Refused
integer
results
required
agents
required
Agents
Array<object>
CcAgentobject
user_id
required
User Id
string
name
required
Name
string
role
required
Role
string
revision
required
Revision
integer
skills
required
Skills
Array<object>
CcAgentSkillobject
skill_id
required
Skill Id
string
name
required
Name
string
proficiency
required
Proficiency
integer
queues
required
Queues
Array<object>
CcAgentQueueobject
id
required
Id
string
name
required
Name
string
priority
Priority
integer
Example
{ "results": [ { "outcome": "changed" } ], "agents": [ { "queues": [ { "priority": 5 } ] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}